Subject: Re: bug#34902: guix cannot find a module on boot

From: Danny Milosavljevic <[email-masked]>
Date: Thu, 4 Apr 2019 22:42:17 +0200

Maybe I'm too paranoid but can we have "guix" in the file name "modules.name"
somewhere?  Otherwise I see it coming that upstream uses modules.name for an
incompatible purpose and then we'd be with a guix interface that's broken
and/or break their interface.

(So much complexity for something so silly.  Honestly, I feel like E-mailing
the upstream author and telling him what I think.  WTF :P)

Should we warn when we use the fallback?  I like the defensive programming
but I feel we shouldn't have it *silently* fall back when the database is
broken/missing.

Otherwise LGTM!

>(basename file ".ko")
               ^^^^^^

Nice.  Where was that all my life.  ;-)